Package org.apache.sling.scripting.sightly.compiler.commands

## Class Procedure.Start

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.commands.Procedure.Start

All Implemented Interfaces:
  `Command`

Enclosing class:
  Procedure

    public static class Procedure.Start
    extends Object
    implements Command

### Constructor Summary

Constructors
`Start​(String name, Set<String> parameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept​(CommandVisitor visitor)` Accept a visitor.
`String` `getName()`
`Set<String>` `getParameters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Start

    public Start​(String name,
                 Set<String> parameters)

### Method Detail

#### getName

    public String getName()

#### getParameters

    public Set<String> getParameters()

#### accept

    public void accept​(CommandVisitor visitor)

Description copied from interface: `Command`
Accept a visitor.

Specified by:
  `accept` in interface `Command`
Parameters:
  `visitor` - the visitor that will process this command